DCMTK - Bug #1027

Deprecated methods and functions should not be used by the DCMTK
2022-07-04 22:28 - J6rg Riesmeier

Status: Closed Start date: 2022-07-04
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library and Apps Estimated time: 3:00 hours
Target version: 3.6.8

Module: all Compiler:

Operating System:

Description

Various DCMTK methods and functions are marked as "deprecated", but are still used within the DCMTK. This should be changed
and the deprecated methods and functions should be "marked” with OFdeprecated, so that the compiling warns about their use.

Related issues:
Related to DCMTK - Feature #887: Implement OFdeprecated macro Closed 2019-05-08

History

#1 - 2022-07-04 22:28 - JO6rg Riesmeier
- Related to Feature #887: Implement OFdeprecated macro added

#2 - 2022-07-04 22:29 - JO6rg Riesmeier

- Description updated

#3 - 2022-07-05 12:11 - JO6rg Riesmeier
- Assignee set to Jérg Riesmeier

- Target version set to 3.6.8

#4 - 2022-09-05 12:36 - Jorg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 3:00 h

Fixed with commit c7496324e.
